        .code
        .import &mFNAM2,code
        .export &mFNAME,entry
&mFNAME
	.proc
	.callinfo
	.entry
	;
	; No stack frame - we just re-vector the call.....
	;
	; Load the PLABEL
	;
	addil   lr'PL.&mFNAME-$global$,%r27
	ldd     rr'PL.&mFNAME-$global$(%r1),%r1
	;
	; Get the real func addr & DP value from the PLT
	;
	ldd	16(%r1), %r31
	ldd	24(%r1), %r27
	;
	; Jump
	;
	bve	(%r31)
	.exit
	nop
	.procend
	.data
PL.&mFNAME
	.dword  P'&mFNAM2
	.global
